---

#! /cephfs/tmp/d20241002-77058-z7tvtu/will-it-scale-part1.yaml
suite: will-it-scale
testcase: will-it-scale
category: benchmark
nr_task: 100%
will-it-scale:
  mode: thread
  test: fallocate2
job_origin: will-it-scale-part1.yaml
queue: bisect
testbox: lkp-emr-2sp1
commit: 75ad2bae3d3bec7c6597f2688ea9211976867247
compiler: gcc-12
branch: opencloudos/next
kconfig: x86_64-oc_stream_base_config
repeat_to: 3
name: "/cephfs/tmp/d20241002-77058-z7tvtu/will-it-scale-part1.yaml"
kernel_cmdline:
tbox_group: lkp-emr-2sp1
job_file: "/lkp/jobs/scheduled/lkp-emr-2sp1/will-it-scale-performance-thread-100%-fallocate2-debian-12-x86_64-20240206.cgz-75ad2bae3d3b-20241005-40052-9v9o2a-2.yaml"
id: b1a8592be4575d460afb8fb7a3a85a486b1c21d6
queuer_version: "/zday/lkp"

#! hosts/lkp-emr-2sp1
model: Emerald Rapids
nr_node: 4
nr_cpu: 256
memory: 256G
nr_ssd_partitions: 3
ssd_partitions:
- "/dev/disk/by-id/nvme-INTEL_SSDPE2KX010T7_PHLF7072007C1P0GGN-part1"
- "/dev/disk/by-id/nvme-INTEL_SSDPE2KX010T7_PHLF7072007C1P0GGN-part2"
- "/dev/disk/by-id/nvme-INTEL_SSDPE2KX010T7_PHLF7072007C1P0GGN-part3"
rootfs_partition: "/dev/disk/by-id/ata-INTEL_SSDSC2BA400G4_BTHV611200UP400NGN-part1"
kernel_cmdline_hw: acpi_rsdp=0x6f7fe014
result_service: tmpfs
LKP_SERVER: 10.239.97.5
avoid_nfs: 1
brand: INTEL(R) XEON(R) PLATINUM 8592+
belongs_to: opencloudos

#! include/category/benchmark
need_kconfig:
- XFS_ONLINE_SCRUB_STATS: n
- XFS_DEBUG: n
- XFS_WARN: y
- PM_DEBUG: n
- PM_SLEEP_DEBUG: n
- DEBUG_ATOMIC_SLEEP: n
- DEBUG_SPINLOCK_SLEEP: n
- CIFS_DEBUG: n
- SCSI_DEBUG: n
- NFS_DEBUG: n
- SUNRPC_DEBUG: n
- DM_DEBUG: n
- DEBUG_SHIRQ: n
- OCFS2_DEBUG_MASKLOG: n
- DEBUG_MEMORY_INIT: n
- BUG_ON_DATA_CORRUPTION: n
- DEBUG_LIST: n
- DEBUG_PLIST: n
- EXPERT: y
- PREEMPT_VOLUNTARY: y
- PREEMPT_NONE: n
- PREEMPT: n
- PREEMPT_RT: n
- PREEMPT_DYNAMIC: n
- PREEMPT_VOLUNTARY_BEHAVIOUR: y
- PREEMPT_BEHAVIOUR: n
- PREEMPT_NONE_BEHAVIOUR: n
- PREEMPT_DYNAMIC: n
- PREEMPT_VOLUNTARY: y
- PREEMPT_NONE: n
- PREEMPT: n
- PREEMPT_RT: n
kmsg:
boot-time:
uptime:
iostat:
heartbeat:
vmstat:
numa-numastat:
numa-vmstat:
numa-meminfo:
proc-vmstat:
proc-stat:
meminfo:
slabinfo:
interrupts:
lock_stat:
perf-sched:
  lite_mode: 1
softirqs:
bdi_dev_mapping:
diskstats:
nfsstat:
cpuidle:
cpufreq-stats:
turbostat:
sched_debug:
perf-stat:
mpstat:
perf-c2c:
perf-profile:
  debug_mode: 0

#! include/category/ALL
cpufreq_governor: performance
sanity-check:

#! include/testbox/lkp-emr-2sp1
ucode: '0x21000160'
need_kernel_version:
- ">= v5.4.119, gcc"
- ">= v5.4.119, clang"
rootfs: debian-12-x86_64-20240206.cgz
enqueue_time: 2024-10-05 00:52:26.493282656 +08:00
_rt: "/result/will-it-scale/performance-thread-100%-fallocate2/lkp-emr-2sp1/debian-12-x86_64-20240206.cgz/x86_64-oc_stream_base_config/gcc-12/75ad2bae3d3bec7c6597f2688ea9211976867247"

#! schedule options
user: lkp
scheduler_version: "/lkp/lkp/.src-20241001-231826"
arch: x86_64
max_uptime: 2100
initrd: "/osimage/debian/debian-12-x86_64-20240206.cgz"
bootloader_append:
- root=/dev/ram0
- RESULT_ROOT=/result/will-it-scale/performance-thread-100%-fallocate2/lkp-emr-2sp1/debian-12-x86_64-20240206.cgz/x86_64-oc_stream_base_config/gcc-12/75ad2bae3d3bec7c6597f2688ea9211976867247/0
- BOOT_IMAGE=/pkg/linux/x86_64-oc_stream_base_config/gcc-12/75ad2bae3d3bec7c6597f2688ea9211976867247/vmlinuz-6.6.47-01326-g75ad2bae3d3b
- branch=opencloudos/next
- job=/lkp/jobs/scheduled/lkp-emr-2sp1/will-it-scale-performance-thread-100%-fallocate2-debian-12-x86_64-20240206.cgz-75ad2bae3d3b-20241005-40052-9v9o2a-2.yaml
- user=lkp
- ARCH=x86_64
- kconfig=x86_64-oc_stream_base_config
- commit=75ad2bae3d3bec7c6597f2688ea9211976867247
- intremap=posted_msi
- acpi_rsdp=0x6f7fe014
- max_uptime=2100
- LKP_SERVER=10.239.97.5
- nokaslr
- selinux=0
- debug
- apic=debug
- sysrq_always_enabled
- rcupdate.rcu_cpu_stall_timeout=100
- net.ifnames=0
- printk.devkmsg=on
- panic=-1
- softlockup_panic=1
- nmi_watchdog=panic
- oops=panic
- load_ramdisk=2
- prompt_ramdisk=0
- drbd.minor_count=8
- systemd.log_level=err
- ignore_loglevel
- console=tty0
- earlyprintk=ttyS0,115200
- console=ttyS0,115200
- vga=normal
- rw
modules_initrd: "/pkg/linux/x86_64-oc_stream_base_config/gcc-12/75ad2bae3d3bec7c6597f2688ea9211976867247/modules.cgz"
bm_initrd: "/osimage/deps/debian-12-x86_64-20240206.cgz/run-ipconfig_20240904.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/lkp_20240216.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/rsync-rootfs_20240301.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/will-it-scale_20240224.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/will-it-scale-x86_64-75f66e4-1_20240303.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/iostat_20240229.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/perf_20240901.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/perf-x86_64-431c1646e1f8-1_20240901.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/mpstat_20240221.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/sar-x86_64-443ade20-1_20240301.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/hw_20240216.cgz"
ucode_initrd: "/osimage/ucode/intel-ucode-20230906.cgz"
lkp_initrd: "/osimage/user/lkp/lkp-x86_64.cgz"
site: inn

#! /db/releases/20241001232426/lkp-src/include/site/inn
LKP_CGI_PORT: 80
LKP_CIFS_PORT: 139
oom-killer:
watchdog:
job_initrd: "/lkp/jobs/scheduled/lkp-emr-2sp1/will-it-scale-performance-thread-100%-fallocate2-debian-12-x86_64-20240206.cgz-75ad2bae3d3b-20241005-40052-9v9o2a-2.cgz"
last_kernel: 6.6.47-01280-g3db1e8157ba7
acpi_rsdp: '0x6f7fe014'

#! queue options
queue_cmdline_keys:
- branch
- commit
- kbuild_queue_analysis
- force_schedule

#! user overrides
kbuild_queue_analysis: 1
force_schedule: 1
kernel: "/pkg/linux/x86_64-oc_stream_base_config/gcc-12/75ad2bae3d3bec7c6597f2688ea9211976867247/vmlinuz-6.6.47-01326-g75ad2bae3d3b"
result_root: "/result/will-it-scale/performance-thread-100%-fallocate2/lkp-emr-2sp1/debian-12-x86_64-20240206.cgz/x86_64-oc_stream_base_config/gcc-12/75ad2bae3d3bec7c6597f2688ea9211976867247/0"
dequeue_time: 2024-10-05 01:38:33.324711966 +08:00
job_state: finished
loadavg: 27.45 104.29 61.76 1/2185 19392
start_time: '1728063136'
end_time: '1728063438'
version: "/lkp/lkp/.src-20241001-231826:0da0c59de1d2:2aee846502e0"
